#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf usbredir-0.6.tar.bz2
    cd usbredir-0.6
    ./configure --prefix=/usr/local --sysconfdir=/etc --localstatedir=/var \
	    --disable-static --disable-silent-rules
    # FIXME: Must link usbredirhost/.libs/libusbredirhost.so.1 without -rpath -
    # not sure how best to do this.
    strip -R .note -R .comment usbredirhost/.libs/libusbredirhost.so.1 \
	    usbredirparser/.libs/libusbredirparser.so.1
    # At least on <= Squeeze:
    sudo make install
    cd ..
    rm -rf usbredir-0.6
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
